#include  <SoftwareSerial.h>  //Software Serial Port
#define RxD 3
#define TxD 2

#define DEBUG_ENABLED  1
 
SoftwareSerial blueToothSerial(RxD,TxD);



int counter = 1;


int LED1 = 6;
int LED2 = 5;
int LED3 = 4;

int delayTime;

void setup()
{
pinMode(RxD, INPUT);
  pinMode(TxD, OUTPUT);
  setupBlueToothConnection();

pinMode(LED1, OUTPUT);
pinMode(LED2, OUTPUT);
pinMode(LED3, OUTPUT);

  
}

 void setupBlueToothConnection()
{
  blueToothSerial.begin(9600); //Set BluetoothBee BaudRate to default baud rate 38400
  blueToothSerial.print("\r\n+STWMOD=0\r\n"); //set the bluetooth work in slave mode
  blueToothSerial.print("\r\n+STNA=HC-05\r\n"); //set the bluetooth name as "HC-05"
  blueToothSerial.print("\r\n+STOAUT=1\r\n"); // Permit Paired device to connect me
  blueToothSerial.print("\r\n+STAUTO=0\r\n"); // Auto-connection should be forbidden here
  
  delay(2000); // This delay is required.
  //blueToothSerial.print("\r\n+INQ=1\r\n"); //make the slave bluetooth inquirable 
  blueToothSerial.print("bluetooth connected!\n");
  
  delay(2000); // This delay is required.
  blueToothSerial.flush();
}

void loop()
{
 //Handle input
 char recvChar;
  while(1){
    //check if there's any data sent from the remote bluetooth shield
    if(blueToothSerial.available()){
      recvChar = blueToothSerial.read();
      
 if(recvChar == '1')
 {
   counter + 1;
   //Reset count if over max mode number
   if(counter == 4)
   {
     counter = 1;
   }
 }
 
 //Change mode
 if(counter == 1)
 {
   delayTime = 1000;
 }
 else if(counter == 2)
 {
   delayTime = 500;
 }
 else if(counter == 3)
 {
   delayTime = 200;
 }
    }
 //Light show!
 digitalWrite(6, LOW);
     digitalWrite(5, HIGH);
     digitalWrite(4, HIGH);
          delay(delayTime);
     digitalWrite(6, HIGH);
     digitalWrite(5, HIGH);
     digitalWrite(4, LOW);
           delay(delayTime);

  }
}
